org.apache.myfaces.trinidad.component.core.nav

## Class CorePage

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXCollection
        - - org.apache.myfaces.trinidad.component.UIXHierarchy
          - - org.apache.myfaces.trinidad.component.UIXNavigationHierarchy
            - - org.apache.myfaces.trinidad.component.UIXPage
              - - org.apache.myfaces.trinidad.component.core.nav.CorePage

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, CollectionComponent, LocalRowKeyIndex, RowKeyIndex, TreeLocalRowKeyIndex

      public class CorePage
      extends UIXPage
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The Page component is similar to the PanelPage component, except that instead of having navigation1, navigation2 and navigation3 facets for adding navigation item information, the user binds a model object and a stamp to render these areas. The model object is of type MenuModel. A commandNavigationItem should be used as the stamp and placed in the "nodeStamp" facet.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.RowDisclosureEvent` | Apply Request Values Invoke Application | The expansion event is generated for a table when the detail facet of a row is expanded or collapsed. For tree or a treeTable, the expansion event is generated when tree nodes are expanded or collapsed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `UIXCollection.NoColumnFacetsVisitContext`

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `LocalRowKeyIndex.Confidence, LocalRowKeyIndex.LocalCachingStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIONS_FACET`
    `static String` | `APP_ABOUT_FACET`
    `static String` | `APP_COPYRIGHT_FACET`
    `static String` | `APP_PRIVACY_FACET`
    `static String` | `BRANDING_APP_CONTEXTUAL_FACET`
    `static String` | `BRANDING_APP_FACET`
    `static String` | `BRANDING_FACET`
    `static String` | `CHROME_TYPE_COMPACT`
    `static String` | `CHROME_TYPE_EXPANDED`
    `static PropertyKey` | `CHROME_TYPE_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `CONTEXT_SWITCHER_FACET`
    `static String` | `INFO_FOOTNOTE_FACET`
    `static String` | `INFO_RETURN_FACET`
    `static String` | `INFO_STATUS_FACET`
    `static String` | `INFO_SUPPLEMENTAL_FACET`
    `static String` | `INFO_USER_FACET`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static String` | `LOCATION_FACET`
    `static String` | `MENU_SWITCH_FACET`
    `static String` | `MESSAGES_FACET`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static String` | `SEARCH_FACET`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXPage

      `DISCLOSED_ROW_KEYS_KEY, IMMEDIATE_KEY, NODE_STAMP_FACET, ROW_DISCLOSURE_LISTENER_KEY, VALUE_KEY, VAR_STATUS_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `VAR_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CorePage()` Construct an instance of the CorePage.
    `protected` | `CorePage(String rendererType)` Construct an instance of the CorePage.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `javax.faces.component.UIComponent` | `getActions()` The page-level actions of the page.
    `javax.faces.component.UIComponent` | `getAppAbout()` Area to put a commandLink to more information about the application.
    `javax.faces.component.UIComponent` | `getAppCopyright()` The copyright region of the page.
    `javax.faces.component.UIComponent` | `getAppPrivacy()` The privacy region of the page.
    `protected FacesBean.Type` | `getBeanType()`
    `javax.faces.component.UIComponent` | `getBranding()` The corporate or organization branding region of the page.
    `javax.faces.component.UIComponent` | `getBrandingApp()` The application, module, or product branding region of the page.
    `javax.faces.component.UIComponent` | `getBrandingAppContextual()` The application's contextual branding region of the page.
    `String` | `getChromeType()` Gets what the chromeType is for the page: compact or expanded.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `javax.faces.component.UIComponent` | `getContextSwitcher()` The context switcher of a page.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getInfoFootnote()` The footnote information region.
    `javax.faces.component.UIComponent` | `getInfoReturn()` The return information region.
    `javax.faces.component.UIComponent` | `getInfoStatus()` The status information region.
    `javax.faces.component.UIComponent` | `getInfoSupplemental()` This region provides a location for presenting additional information for the user.
    `javax.faces.component.UIComponent` | `getInfoUser()` The user information region.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `javax.faces.component.UIComponent` | `getLocation()` The locator region of the page.
    `javax.faces.component.UIComponent` | `getMenuSwitch()` This location typically contains a menuChoice.
    `javax.faces.component.UIComponent` | `getMessages()` The node to display messages.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `javax.faces.component.UIComponent` | `getSearch()` The search region of the page.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `void` | `setActions(javax.faces.component.UIComponent actionsFacet)` The page-level actions of the page.
    `void` | `setAppAbout(javax.faces.component.UIComponent appAboutFacet)` Area to put a commandLink to more information about the application.
    `void` | `setAppCopyright(javax.faces.component.UIComponent appCopyrightFacet)` The copyright region of the page.
    `void` | `setAppPrivacy(javax.faces.component.UIComponent appPrivacyFacet)` The privacy region of the page.
    `void` | `setBranding(javax.faces.component.UIComponent brandingFacet)` The corporate or organization branding region of the page.
    `void` | `setBrandingApp(javax.faces.component.UIComponent brandingAppFacet)` The application, module, or product branding region of the page.
    `void` | `setBrandingAppContextual(javax.faces.component.UIComponent brandingAppContextualFacet)` The application's contextual branding region of the page.
    `void` | `setChromeType(String chromeType)` Sets what the chromeType is for the page: compact or expanded.
    `void` | `setContextSwitcher(javax.faces.component.UIComponent contextSwitcherFacet)` The context switcher of a page.
    `void` | `setInfoFootnote(javax.faces.component.UIComponent infoFootnoteFacet)` The footnote information region.
    `void` | `setInfoReturn(javax.faces.component.UIComponent infoReturnFacet)` The return information region.
    `void` | `setInfoStatus(javax.faces.component.UIComponent infoStatusFacet)` The status information region.
    `void` | `setInfoSupplemental(javax.faces.component.UIComponent infoSupplementalFacet)` This region provides a location for presenting additional information for the user.
    `void` | `setInfoUser(javax.faces.component.UIComponent infoUserFacet)` The user information region.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setLocation(javax.faces.component.UIComponent locationFacet)` The locator region of the page.
    `void` | `setMenuSwitch(javax.faces.component.UIComponent menuSwitchFacet)` This location typically contains a menuChoice.
    `void` | `setMessages(javax.faces.component.UIComponent messagesFacet)` The node to display messages.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setSearch(javax.faces.component.UIComponent searchFacet)` The search region of the page.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXPage

      `addRowDisclosureListener, broadcast, createCollectionModel, createFacesBean, getDisclosedRowKeys, getNodeStamp, getRowDisclosureListener, getRowDisclosureListeners, getValue, getVarStatus, isImmediate, processFacetsAndChildren, queueEvent, removeRowDisclosureListener, setDisclosedRowKeys, setImmediate, setNodeStamp, setRowDisclosureListener, setValue, setVarStatus, visitChildren, visitData`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXNavigationHierarchy

      `getFocusRowKey, getMenuModel`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXHierarchy

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, createVarStatusMap, enterContainer, exitContainer, getAllAncestorContainerRowKeys, getContainerRowKey, getContainerRowKey, getDepth, getDepth, getFirst, getRows, getStamps, getTreeModel, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isContainer, isContainerEmpty, visitHierarchy, visitLevel`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearCurrencyStringCache, clearLocalCache, decodeChildrenImpl, defaultVisitChildren, encodeBegin, encodeEnd, ensureRowsAvailable, getCachingStrategy, getClientRowKey, getClientRowKeyManager, getCollectionModel, getCollectionModel, getContainerClientId, getCurrencyString, getEstimatedRowCount, getEstimatedRowCountConfidence, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, getSortCriteria, getVar, invokeOnComponent, isRowAvailable, isRowAvailable, isRowAvailable, isRowLocallyAvailable, isRowLocallyAvailable, isSortable, postCreateCollectionModel, postRowDataChange, preRowDataChange, processComponent, processDecodes, processEvent, processFlattenedChildrenBegin, processRestoreState, processSaveState, processUpdates, processValidators, resetStampState, restoreStampState, restoreState, saveStampState, saveState, setClientRowKey, setCurrencyString, setRowIndex, setRowKey, setSortCriteria, setupELVariable, setupVisitingContext, setVar, tearDownVisitingContext, updateChildrenImpl, validateChildrenImpl, visitChildrenWithoutIterating, visitUnstampedFacets`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, decode, decodeChildren, encodeChildren, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, satisfiesPartialTrigger, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, validateChildren`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, visitAllChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.component.CollectionComponent

      `getVar`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.RowKeyIndex

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, isRowAvailable, isRowAvailable, isRowAvailable, setRowIndex, setRowKey`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearLocalCache, getCachingStrategy, getEstimatedRowCount, getEstimatedRowCountConfidence, isRowLocallyAvailable, isRowLocallyAvailable`

- - ### Field Detail

    - #### CHROME_TYPE_COMPACT

          public static final String CHROME_TYPE_COMPACT

      See Also:
        Constant Field Values

    - #### CHROME_TYPE_EXPANDED

          public static final String CHROME_TYPE_EXPANDED

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### CHROME_TYPE_KEY

          public static final PropertyKey CHROME_TYPE_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### MENU_SWITCH_FACET

          public static final String MENU_SWITCH_FACET

      See Also:
        Constant Field Values

    - #### CONTEXT_SWITCHER_FACET

          public static final String CONTEXT_SWITCHER_FACET

      See Also:
        Constant Field Values

    - #### MESSAGES_FACET

          public static final String MESSAGES_FACET

      See Also:
        Constant Field Values

    - #### BRANDING_FACET

          public static final String BRANDING_FACET

      See Also:
        Constant Field Values

    - #### BRANDING_APP_FACET

          public static final String BRANDING_APP_FACET

      See Also:
        Constant Field Values

    - #### BRANDING_APP_CONTEXTUAL_FACET

          public static final String BRANDING_APP_CONTEXTUAL_FACET

      See Also:
        Constant Field Values

    - #### SEARCH_FACET

          public static final String SEARCH_FACET

      See Also:
        Constant Field Values

    - #### LOCATION_FACET

          public static final String LOCATION_FACET

      See Also:
        Constant Field Values

    - #### ACTIONS_FACET

          public static final String ACTIONS_FACET

      See Also:
        Constant Field Values

    - #### APP_COPYRIGHT_FACET

          public static final String APP_COPYRIGHT_FACET

      See Also:
        Constant Field Values

    - #### APP_PRIVACY_FACET

          public static final String APP_PRIVACY_FACET

      See Also:
        Constant Field Values

    - #### APP_ABOUT_FACET

          public static final String APP_ABOUT_FACET

      See Also:
        Constant Field Values

    - #### INFO_SUPPLEMENTAL_FACET

          public static final String INFO_SUPPLEMENTAL_FACET

      See Also:
        Constant Field Values

    - #### INFO_RETURN_FACET

          public static final String INFO_RETURN_FACET

      See Also:
        Constant Field Values

    - #### INFO_USER_FACET

          public static final String INFO_USER_FACET

      See Also:
        Constant Field Values

    - #### INFO_FOOTNOTE_FACET

          public static final String INFO_FOOTNOTE_FACET

      See Also:
        Constant Field Values

    - #### INFO_STATUS_FACET

          public static final String INFO_STATUS_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CorePage

          public CorePage()

      Construct an instance of the CorePage.

    - #### CorePage

          protected CorePage(String rendererType)

      Construct an instance of the CorePage.

  - ### Method Detail

    - #### getMenuSwitch

          public final javax.faces.component.UIComponent getMenuSwitch()

      This location typically contains a menuChoice.

    - #### setMenuSwitch

          public final void setMenuSwitch(javax.faces.component.UIComponent menuSwitchFacet)

      This location typically contains a menuChoice.

    - #### getContextSwitcher

          public final javax.faces.component.UIComponent getContextSwitcher()

      The context switcher of a page.

    - #### setContextSwitcher

          public final void setContextSwitcher(javax.faces.component.UIComponent contextSwitcherFacet)

      The context switcher of a page.

    - #### getMessages

          public final javax.faces.component.UIComponent getMessages()

      The node to display messages. Usually contains a messages component.

    - #### setMessages

          public final void setMessages(javax.faces.component.UIComponent messagesFacet)

      The node to display messages. Usually contains a messages component.

    - #### getBranding

          public final javax.faces.component.UIComponent getBranding()

      The corporate or organization branding region of the page. This section typically contains a medium size image of the logo of the organization owning the page.

    - #### setBranding

          public final void setBranding(javax.faces.component.UIComponent brandingFacet)

      The corporate or organization branding region of the page. This section typically contains a medium size image of the logo of the organization owning the page.

    - #### getBrandingApp

          public final javax.faces.component.UIComponent getBrandingApp()

      The application, module, or product branding region of the page. This section typically contains a image of the application logo.

    - #### setBrandingApp

          public final void setBrandingApp(javax.faces.component.UIComponent brandingAppFacet)

      The application, module, or product branding region of the page. This section typically contains a image of the application logo.

    - #### getBrandingAppContextual

          public final javax.faces.component.UIComponent getBrandingAppContextual()

      The application's contextual branding region of the page. This section typically contains formatted text indicating that ONE context exists between the persistent tabs. The user selects the context from a centralized aggregate home page of multiple contexts, then navigates into a tabbed application pertaining to that specific context.

    - #### setBrandingAppContextual

          public final void setBrandingAppContextual(javax.faces.component.UIComponent brandingAppContextualFacet)

      The application's contextual branding region of the page. This section typically contains formatted text indicating that ONE context exists between the persistent tabs. The user selects the context from a centralized aggregate home page of multiple contexts, then navigates into a tabbed application pertaining to that specific context.

    - #### getSearch

          public final javax.faces.component.UIComponent getSearch()

      The search region of the page.

    - #### setSearch

          public final void setSearch(javax.faces.component.UIComponent searchFacet)

      The search region of the page.

    - #### getLocation

          public final javax.faces.component.UIComponent getLocation()

      The locator region of the page. If present, this section typically contains either a processTrain, indicating the user's location in a multistep process, or navigationPath, containing links that will bring the user back to each of the parent pages of a tree of pages that he has navigated down into.

    - #### setLocation

          public final void setLocation(javax.faces.component.UIComponent locationFacet)

      The locator region of the page. If present, this section typically contains either a processTrain, indicating the user's location in a multistep process, or navigationPath, containing links that will bring the user back to each of the parent pages of a tree of pages that he has navigated down into.

    - #### getActions

          public final javax.faces.component.UIComponent getActions()

      The page-level actions of the page. If present, this area typically contains either a panelButtonBar containing buttons that operate on the entire page, or a processChoiceBar allowing the user to move to the next or previous step in a process.

    - #### setActions

          public final void setActions(javax.faces.component.UIComponent actionsFacet)

      The page-level actions of the page. If present, this area typically contains either a panelButtonBar containing buttons that operate on the entire page, or a processChoiceBar allowing the user to move to the next or previous step in a process.

    - #### getAppCopyright

          public final javax.faces.component.UIComponent getAppCopyright()

      The copyright region of the page. If present, this area typically contains a outputText with the copyright information.

    - #### setAppCopyright

          public final void setAppCopyright(javax.faces.component.UIComponent appCopyrightFacet)

      The copyright region of the page. If present, this area typically contains a outputText with the copyright information.

    - #### getAppPrivacy

          public final javax.faces.component.UIComponent getAppPrivacy()

      The privacy region of the page. If present, this area typically contains a commandLink to the privacy policy for the application.

    - #### setAppPrivacy

          public final void setAppPrivacy(javax.faces.component.UIComponent appPrivacyFacet)

      The privacy region of the page. If present, this area typically contains a commandLink to the privacy policy for the application.

    - #### getAppAbout

          public final javax.faces.component.UIComponent getAppAbout()

      Area to put a commandLink to more information about the application.

    - #### setAppAbout

          public final void setAppAbout(javax.faces.component.UIComponent appAboutFacet)

      Area to put a commandLink to more information about the application.

    - #### getInfoSupplemental

          public final javax.faces.component.UIComponent getInfoSupplemental()

      This region provides a location for presenting additional information for the user. It often contains a panelBox.

    - #### setInfoSupplemental

          public final void setInfoSupplemental(javax.faces.component.UIComponent infoSupplementalFacet)

      This region provides a location for presenting additional information for the user. It often contains a panelBox.

    - #### getInfoReturn

          public final javax.faces.component.UIComponent getInfoReturn()

      The return information region. Typically this will contain a "return to [X]" link.

    - #### setInfoReturn

          public final void setInfoReturn(javax.faces.component.UIComponent infoReturnFacet)

      The return information region. Typically this will contain a "return to [X]" link.

    - #### getInfoUser

          public final javax.faces.component.UIComponent getInfoUser()

      The user information region. This region provides a location for presenting user login and connection information.

    - #### setInfoUser

          public final void setInfoUser(javax.faces.component.UIComponent infoUserFacet)

      The user information region. This region provides a location for presenting user login and connection information.

    - #### getInfoFootnote

          public final javax.faces.component.UIComponent getInfoFootnote()

      The footnote information region. This region provides a location for page-level information that is ancillary to the user's task.

    - #### setInfoFootnote

          public final void setInfoFootnote(javax.faces.component.UIComponent infoFootnoteFacet)

      The footnote information region. This region provides a location for page-level information that is ancillary to the user's task.

    - #### getInfoStatus

          public final javax.faces.component.UIComponent getInfoStatus()

      The status information region. This region provides a location for page-level status that is important to the user's task. It also provides a location for a key notation. A key notation is a legend used to define icons, elements, or terms used within the page content.

    - #### setInfoStatus

          public final void setInfoStatus(javax.faces.component.UIComponent infoStatusFacet)

      The status information region. This region provides a location for page-level status that is important to the user's task. It also provides a location for a key notation. A key notation is a legend used to define icons, elements, or terms used within the page content.

    - #### getChromeType

          public final String getChromeType()

      Gets what the chromeType is for the page: compact or expanded. If compact, the productBranding will be shown alongside the corporate branding instead of below the corporate branding.
      Returns:
        the new chromeType value

    - #### setChromeType

          public final void setChromeType(String chromeType)

      Sets what the chromeType is for the page: compact or expanded. If compact, the productBranding will be shown alongside the corporate branding instead of below the corporate branding.
      Parameters:
        `chromeType` - the new chromeType value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXPage`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXPage`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.